using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
using APT.BaseData.Domain.Entities;

namespace APT.MS.Domain.Entities.HM
{
    [Description("作业许可分析关联风险表")]
    public class T_HM_LICENSE_ANALYSIS_DETAIL_RISK : MesEntityBase
    {
        [Description("作业许可分析细表ID")]
        [DataFieldForeignKey("Nav_Details", "Nav_DetailRisk")]
        public Guid? LICENSE_ANALYSIS_DETAIL_ID { get; set; }

        [Description("导航属性：作业许可分析表")]
        public virtual T_HM_LICENSE_ANALYSIS_DETAIL Nav_Details { get; set; }
        /// <summary>
        /// 风险库ID
        /// </summary>
        [Description("风险库")]
        [DataFieldForeignKey("Nav_EvaluateRisk")]
        public Guid? EVALUATE_RISK_ID { get; set; }

        /// <summary>
        /// 导航属性：风险库
        /// </summary>
        [Description("导航属性：风险库")]
        public virtual T_HM_EVALUATE_RISK Nav_EvaluateRisk { get; set; }

    }
}
